#!/bin/bash

# install
# Script to ensure students have a .bash_profile with /usr/local/bin in the front of 
# their path. This script also updates the PythonPath to eliminate errors in Mavericks.
# Walker White
# January 26, 2014

function create_bash {
	echo "# .bash_profile" >> $1
	echo "" >> $1
	echo "# Same as non-interactive shell" >> $1
	echo "if [ -f .bashrc ]; then" >> $1
	echo "	. .bashrc" >> $1
	echo "fi" >> $1
	echo "" >> $1
	append_bash $1
}

function append_bash {
	echo "# Update your path to resolve to Python" >> $1
	echo "export PATH=/usr/local/bin:\$PATH" >> $1
	echo "" >> $1
	echo "# Work around for Mavericks" >> $1
	echo "export PYTHONPATH=/Library/Python/2.7/site-packages:\$PYTHONPATH" >> $1
	echo "" >> $1
}

BASH=".bash_profile"

echo "Searching for ${BASH}..."
cd ~ # Go to home directory.
if [ -f $BASH ]; then
	echo "${BASH} found.  Modifying file..."
	append_bash $BASH
else
	echo "No ${BASH} found.  Installing..."
	create_bash $BASH
fi
echo "Installation completed"

